<?php
include ("../conexion.php");
include ("../funciones/fechas.php");

$cdgpro  = $_POST["cdgpro"];
$dscpro  = strtoupper($_POST["dscpro"]);
$numfac  = $_POST["numfactura"];
$estado  = $_POST["combotipoaplicacion"];
$fechainicio = $_POST["fechainicio"];
$fechafin    = $_POST["fechafin"];
$cdgtipven   = $_POST["combotipoventa"]; 
$cdgtipcxp   = $_POST["combotipocxp"];
$cdgtiposaldo   = $_POST["combotiposaldo"];

$fechainicio = implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin    = implode("-", array_reverse(explode("-", $fechafin))); 

$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($cdgpro <> "") { $where.=" AND cdgpro='$cdgpro'"; }
if ($cdgtipven <> "") { $where.=" AND cdgtipven='$cdgtipven'"; }
if ($cdgtipcxp <> "") { $where.=" AND cdgtipcxp='$cdgtipcxp'"; }
if ($dscpro <> "") { $where.=" AND dscpro like '%".$dscpro."%'"; }
if ($numfac <> "") { $where.=" AND numfac='$numfac'"; }
//if ($vehpla <> "") { $where.=" AND facturas.vehpla='$vehpla'"; }
if ($estado <> "") { $where.=" AND estado='$estado'"; }

if ($cdgtiposaldo <> "") {if ($cdgtiposaldo == "1"){ $where.=" AND salact > 0";} else {$where.=" AND salact <= 0"; } }


if (($fechainicio<>"") and ($fechafin<>"")) {
	$where.=" AND fecfac between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
		$where.=" and fecfac>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
			$where.=" and fecfac<='".$fechafin."'";
		}
	}
}

$where.=" ORDER BY codfactura DESC LIMIT 400";

if ($result = $mysqli->query("SELECT codfactura FROM web_2201 WHERE borrado=0 AND  ".$where )) {
   $filas = $result->num_rows;
   $result->close();
}

	       $consulta2= ("SELECT SUM(totfac) AS totalfactura , SUM(subfac) AS subtot , SUM(desfactot) AS destot , SUM(impfac) AS impven  FROM web_2201 WHERE  ".$where);

		if ($resultado2 = $mysqli->query($consulta2)) 

 
  	 while ($dato = $resultado2->fetch_assoc()) {
  						
	 $totalfacturas=$dato["totalfactura"];
	
	 $subtot=$dato["subtot"];
	 $destot=$dato["destot"];
	 $impven=$dato["impven"];
	 
	 
	 $subtot=number_format($subtot,2,",",".");
	 $destot=number_format($destot,2,",",".");
	 $impven=number_format($impven,2,",",".");
	 $totalfacturas=number_format($totalfacturas,2,",",".");
}

?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		
function pon_prefijo(subtot,destot,impven,totalfacturas) {
	parent.document.form_busqueda.subtot.value=subtot;
	parent.document.form_busqueda.destot.value=destot;
	parent.document.form_busqueda.impven.value=impven;
	parent.document.form_busqueda.totalfacturas2.value=totalfacturas;
	
    
}
		
		function ver_factura(numfac,cdgpro,detpro) {
		
		if (detpro=='CO') {
		
			parent.location.href="ver_factura.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
		} else {
			
		parent.location.href="ver_cxp.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
		}}
		
	
	
	
	function modificar_factura(numfac,cdgpro,estado,detpro,cdgtipven,salact,totfac) {  //////funcion

 if (cdgtipven==2) {   ///////// tipo venta credito

 	if (salact < totfac){  /// saldo menor q total
	  			
	alert("Atencion, Esta factura ya posee pagos no puede ser MODIFICADA su saldo actual es :\n"+salact+"\n Solo puede Modificar la Observacion ");
	
	parent.location.href="modificar_observacion_compra.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
	
			
		} 	else {  /// si no es menor 
			
	if (detpro=='CO') {   // si es tipo compra
	if (estado==0){    // si esta aplicada
	
			parent.location.href="modificar_compra.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
	} else {   /// si no esta aplicasa 		
			
		//alert ("La factura no puede ser modifcada ya fue aplicada")
		parent.location.href="modificar_compra_aplicada.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
	
		}  // cierra q no esta aplicada
	
		}  // cierra que ti po compts

		else {  // si es tipo cxp
	
			parent.location.href="modificar_cxp.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
		} 
		
		
		}// cierra q el saldo es es mayor
		 
		
		 } else { // cierra si es tipo de venta de credito
		 
		 if (detpro=='CO') {   // si es tipo compra
		if (estado==0){    // si esta aplicada
	
			parent.location.href="modificar_compra.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
		} else {   /// si no esta aplicasa 		
			
		//alert ("La factura no puede ser modifcada ya fue aplicada")
			parent.location.href="modificar_compra_aplicada.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
	
		}  // cierra q no esta aplicada
	
		}  // cierra que ti po compts

		else {  // si es tipo cxp
	
			parent.location.href="modificar_cxp.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
		} 
		

			} // cierrea que es de contado
		}   // cierra funcion 
		
		
		
		function eliminar_factura(numfac,cdgpro,estado,detpro,cdgtipven,salact,totfac) { 
		
			if (confirm("Esta seguro de anular la factura ?")) {
			
			
		if (cdgtipven==2) {   ///////// tipo venta credito

 	if (salact < totfac){  /// saldo menor q total
	  			
	alert("Atencion, Esta factura ya posee pagos no puede ser ELIMINADA su saldo actual es :\n\n"+salact);
			
		} 	else {  /// si no es menor 
			
	if (detpro=='CO') {   // si es tipo compra
		  // si esta aplicada
	
			parent.location.href="eliminar_factura.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
		   /// si no esta aplicasa 		

	
		}  // cierra que ti po compts

		else {  // si es tipo cxp
	
	   parent.location.href="eliminar_cxp.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
		} 
		
		
		}// cierra q el saldo es es mayor
		 
		
		 } else { // cierra si es tipo de venta de credito
		 
		 if (detpro=='CO') {   // si es tipo compra
	    // si esta aplicada
	
			parent.location.href="eliminar_factura.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
	 // cierra q no esta aplicada
	
		}  // cierra que ti po compts

		else {  // si es tipo cxp
	
					parent.location.href="eliminar_cxp.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
		} 
		

			} // cierrea que es de contado
		}   // cierra funcion 
			
		}
		function ver_factura(numfac,cdgpro,detpro) {
		
		if (detpro=='CO') { // si es tipo compra
		
			parent.location.href="ver_factura.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
		} else { // si es tipo cxp
			
		parent.location.href="ver_cxp.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
		}}
		
		function ver_pagos(numfac,cdgpro,detpro) {
		
		if (detpro=='CO') {// si es tipo compra
		miPopup = window.open("ver_pagos.php?numfac=" + numfac + "&cdgpro=" + cdgpro,"miwin","width=750,height=400,scrollbars=yes");
				buscar();
			miPopup.focus();
		
		//	parent.location.href="ver_factura.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
		} else { // si es tipo cxp
			miPopup = window.open("ver_pagos.php?numfac=" + numfac + "&cdgpro=" + cdgpro,"miwin","width=750,height=400,scrollbars=yes");
				buscar();
			miPopup.focus();
			
	///	parent.location.href="ver_cxp.php?numfac=" + numfac + "&cdgpro=" + cdgpro;
		}}

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
		</script>
	</head>

	<body onload=inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<?php echo $totalfacturas?>">
				<?php 
					if ($filas > 0) { 
					
					
					
$consulta2 = "SELECT codfactura FROM web_2201 WHERE borrado=0 AND ".$where;

if ($resultado2 = $mysqli->query($consulta2)) 
 $contador=0;
 

    while ($fila2 = $resultado2->fetch_assoc()) {
 	$codfactura= $fila2["codfactura"];
 
 $consulta = "SELECT estado, borrado, fecfac, numfac, cdgpro, dscpro, detpro, totfac, salact, cdgtipven FROM web_2201 WHERE codfactura='$codfactura' ORDER BY codfactura DESC  ";
 $resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

        $marcaestado = $fila["estado"];
        $marcaborrado = $fila["borrado"];
        $fecha = $fila["fecfac"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
		$numfac = $fila["numfac"];
		$cdgpro = $fila["cdgpro"];
		$dscpro = $fila["dscpro"];
		$detpro = $fila["detpro"];
		$totfac = $fila["totfac"];
		$salact = $fila["salact"];
     	$cdgtipven = $fila["cdgtipven"];	
	//	$numfac2 = substr($numfac." ", 0, 15);	
	
	   $resultado->close();
	   
	   				
	   if ($marcaborrado == 1) { $borrado="Nula"; }     else { $borrado=""; } 
	   if ($marcaestado  == 0) { $estado="Sin Aplicar"; } else { $estado=""; } 	  
	   					    

	   if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
	<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td class="" width="1%"><?php $contador+1;?></td>
		  <td  width="7%"><div align="left"><?php echo $numfac?></div></td>
          <td width="12%"><div align="center"><?php echo $fecha?></div></td>	
		  <td width="3%"><div align="center"><?php echo $cdgpro ?></div></td>	
         <?php    $acotado = substr( $dscpro, 0, 31);?>
		  <td width="28%"><div align="left"><?php echo $acotado ?></div></td>	
		  <td width="3%"><div align="left"><?php echo $detpro?></div>		    <div align="left"></div></td>	
		  <td width="9%"><div align="left"><?php echo $estado; ?></div></td>							
		<td width="11%"><div align="right"><?php echo number_format($totfac,2,".",",")?></div>		  <div align="right"></div>
        <td width="11%"><div align="right"><?php echo number_format($salact,2,".",",")?></div>		  <div align="right"></div>
		</td>
         <td width="3%"><div align="center"><a href="#"><img src="../img/pagar.png" width="25" height="25" border="0" onClick="ver_pagos('<?php echo $numfac ?>',<?php echo $cdgpro ?>,'<?php echo $detpro ?>')" title="Documentos"></a></div></td>
		<td width="2%"><div align="right"><a href="#"><img src="../img/Edit_Male_User_Icon_32.png" alt="modificar" width="25" height="25" border="0" title="Modificar" onClick="modificar_factura('<?php echo $numfac ?>',<?php echo $cdgpro ?>,<?php echo $marcaestado ?>,'<?php echo $detpro ?>',<?php echo $cdgtipven ?>,<?php echo $salact ?>,<?php echo $totfac?>)" ></a></div></td>
		
		  <td width="2%"><div align="center"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="ver_factura('<?php echo $numfac ?>',<?php echo $cdgpro ?>,'<?php echo $detpro ?>')" title="Visualizar"></a></div></td>
		
		  <td width="2%"><div align="center"><a href="#"><img src="../img/Remove_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="eliminar_factura('<?php echo $numfac ?>',<?php echo $cdgpro ?>,<?php echo $marcaestado ?>,'<?php echo $detpro ?>',<?php echo $cdgtipven ?>,<?php echo $salact ?>,<?php echo $totfac ?>)" ></a></div></td>
			  </tr>
						</tr>	
						<?php $contador++;
							}
							
					 $resultado2->close();
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo $fechainicio; echo $fechafin; echo "No hay ninguna factura que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>	
					
					                 <script languaje="javascript">
	pon_prefijo("<?php echo $subtot ?>","<?php echo $destot ?>","<?php echo $impven ?>","<?php echo $totalfacturas ?>");
	
		</script>
						
			  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>
